Bug 146602 - Traceback: binascii.Error: Incorrect padding
Traceback: binascii.Error: Incorrect padding
Status: CLOSED WORKSFORME
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: up2date (Show other bugs)
3.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Pradeep Kilambi
Red Hat Satellite QA List
:
Depends On:
Blocks: 191074 191079
  Show dependency treegraph
 
Reported: 2005-01-30 07:29 EST by Graham Leggett
Modified: 2013-02-26 19:49 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-09-25 14:11:34 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Graham Leggett 2005-01-30 07:29:39 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.3)
Gecko/20040925

Description of problem:
An attempt to run up2date -u from a loaded and slow network results in
this:

[root@gatekeeper root]# up2date -u
SSL exception (-1, 'Unexpected EOF')
Traceback (most recent call last):
  File "/usr/sbin/up2date", line 1174, in ?
    sys.exit(main() or 0)
  File "/usr/sbin/up2date", line 772, in main
    fullUpdate, dryRun=options.dry_run))
  File "/usr/sbin/up2date", line 1066, in batchRun
    batch.run()
  File "up2dateBatch.py", line 62, in run
  File "up2dateBatch.py", line 97, in __findPackagesToUpdate
  File "packageList.py", line 157, in addGlobs
  File "rhnPackageInfo.py", line 232, in getAvailablePackageList
  File "rhnPackageInfo.py", line 166, in availablePackageList
  File "rpcServer.py", line 308, in doCall
  File "repoDirector.py", line 20, in listPackages
  File "rpmSource.py", line 226, in listPackages
  File "/usr/share/rhn/up2date_client/repoBackends/up2dateRepo.py",
line 205, in listPackages
    list = self.s.listPackages(channel['label'], channel['version'])
  File "/usr/lib/python2.2/site-packages/rhn/rpclib.py", line 563, in
__call__
    result = self._send(self._name, args)
  File "/usr/lib/python2.2/site-packages/rhn/rpclib.py", line 308, in
_request
    verbose=self._verbose
  File "/usr/lib/python2.2/site-packages/rhn/transports.py", line 184,
in request
    return self._process_response(fd, connection)
  File "/usr/lib/python2.2/site-packages/rhn/transports.py", line 191,
in _process_response
    fd = resp.decode(fd)
  File "/usr/lib/python2.2/site-packages/rhn/transports.py", line 418,
in decode    self.read(fd)
  File "/usr/lib/python2.2/site-packages/rhn/transports.py", line 408,
in read
    base64.decode(old_io, self.io)
  File "/usr/lib/python2.2/base64.py", line 31, in decode
    s = binascii.a2b_base64(line)
binascii.Error: Incorrect padding


Version-Release number of selected component (if applicable):
up2date-4.2.57-2

How reproducible:
Sometimes

Steps to Reproduce:
xxx

Additional info:
Comment 3 Fanny Augustin 2006-04-10 20:31:54 EDT
Blocking rhnupr4u4 and rhnupr3u8 to track the progress of the release
Comment 4 Fanny Augustin 2006-04-13 15:34:49 EDT
Moving bugs to the CanFix List
Comment 5 Fanny Augustin 2006-05-08 15:14:14 EDT
This bug did not make the code freeze and it will not be fiixed during this
release cycle.  Re-aligning bug to the next release
Comment 6 Fanny Augustin 2006-05-08 16:05:56 EDT
This bug did not make the code freeze.  It will not be fixed in this releasee 
Reea ligning to the next one.
Comment 7 Pradeep Kilambi 2006-09-25 14:02:04 EDT
grabbing it from bret's plate.
Comment 8 Pradeep Kilambi 2006-09-25 14:11:34 EDT
I just ran this through one of my boxes whihc uses dialup and i consider it
disturbingly slow and seems to work fine:

# up2date -u

Fetching Obsoletes list for channel: rhel-i386-as-4...
########################################

Fetching rpm headers...
########################################

Name                                    Version        Rel
----------------------------------------------------------
aspell                                  0.50.5         4.EL4             i386
freetype                                2.1.9          4.el4             i386
gnupg                                   1.2.6          6                 i386
gzip                                    1.3.3          16.rhel4          i386
hwdata                                  0.146.23.EL    1                 noarch
iproute                                 2.6.9          3.EL4.3           i386
krb5-libs                               1.3.4          33                i386
krb5-workstation                        1.3.4          33                i386
less                                    382            4.rhel4           i386
libtiff                                 3.6.1          12                i386
logwatch                                5.2.2          2.EL4             noarch
openssl                                 0.9.7a         43.11             i686
tzdata                                  2006g          1.EL4             noarch
xorg-x11-Mesa-libGL                     6.8.2          1.EL.13.37.2      i386
xorg-x11-font-utils                     6.8.2          1.EL.13.37.2      i386
xorg-x11-libs                           6.8.2          1.EL.13.37.2      i386
xorg-x11-xfs                            6.8.2          1.EL.13.37.2      i386


Testing package set / solving RPM inter-dependencies...
########################################
aspell-0.50.5-4.EL4.i386.rp ########################## Done.
freetype-2.1.9-4.el4.i386.r ########################## Done.
gnupg-1.2.6-6.i386.rpm:     ########################## Done.
gzip-1.3.3-16.rhel4.i386.rp ########################## Done.
hwdata-0.146.23.EL-1.noarch ########################## Done.
iproute-2.6.9-3.EL4.3.i386. ########################## Done.
krb5-libs-1.3.4-33.i386.rpm ########################## Done.
krb5-workstation-1.3.4-33.i ########################## Done.
less-382-4.rhel4.i386.rpm:  ########################## Done.
libtiff-3.6.1-12.i386.rpm:  ########################## Done.
logwatch-5.2.2-2.EL4.noarch ########################## Done.
openssl-0.9.7a-43.11.i686.r ########################## Done.
tzdata-2006g-1.EL4.noarch.r ########################## Done.
xorg-x11-Mesa-libGL-6.8.2-1 ########################## Done.
xorg-x11-font-utils-6.8.2-1 ########################## Done.
xorg-x11-libs-6.8.2-1.EL.13 ########################## Done.
xorg-x11-xfs-6.8.2-1.EL.13. ########################## Done.
Preparing              ########################################### [100%]

Installing...
   1:freetype               ########################################### [100%]
   2:krb5-libs              ########################################### [100%]
   3:less                   ########################################### [100%]
   4:openssl                ########################################### [100%]
   5:logwatch               ########################################### [100%]
   6:libtiff                ########################################### [100%]
   7:aspell                 ########################################### [100%]
   8:gzip                   ########################################### [100%]
   9:krb5-workstation       ########################################### [100%]
  10:tzdata                 ########################################### [100%]
  11:iproute                ########################################### [100%]
  12:hwdata                 ########################################### [100%]
  13:gnupg                  ########################################### [100%]
  14:xorg-x11-libs          ########################################### [100%]
  15:xorg-x11-font-utils    ########################################### [100%]
  16:xorg-x11-Mesa-libGL    ########################################### [100%]
  17:xorg-x11-xfs           ########################################### [100%]

so marking as works for me...
Comment 9 Pradeep Kilambi 2006-09-25 14:13:54 EDT
fyi ran the same test on a rhel 3 box as well and same result as above..works fine..

Note You need to log in before you can comment on or make changes to this bug.